ESRI JS API 4.17: Error search widget

669
3
Jump to solution
10-13-2020 05:43 AM
NicolasGIS
Regular Contributor

Hello,

I just noticed an error with search widget 4.17 when 'locationEnabled' is set to false.

When making a search, the following error is logged:

this._suggestionListNode is not yet defined in locationEnabled is set to false.

You can easily reproduce it with the following sample and by setting 'locationEnabled' to false:

ArcGIS API for JavaScript Sandbox 

Thanks for listening !

/cc Noah Sager

0 Kudos
1 Solution

Accepted Solutions
Noah-Sager
Esri Regular Contributor

Update, we'll have this fixed at the December release. The update will be available on next in a week or so to test.

GitHub - Esri/feedback-js-api-next: Try out the next release of the ArcGIS API for JavaScript and sh... 

View solution in original post

0 Kudos
3 Replies
Noah-Sager
Esri Regular Contributor

Nicolas GIS, thank you for reporting this issue as well. I can reproduce it. Will investigate and update this thread when we have an update to share.

0 Kudos
Noah-Sager
Esri Regular Contributor

Update, we'll have this fixed at the December release. The update will be available on next in a week or so to test.

GitHub - Esri/feedback-js-api-next: Try out the next release of the ArcGIS API for JavaScript and sh... 

View solution in original post

0 Kudos
NicolasGIS
Regular Contributor

Great thanks for the quick fix and your reply !

0 Kudos